package com.dcit.authority.dao;

import java.util.List;

import org.springframework.dao.DataAccessException;

import com.dcit.authority.dto.UserRolesInfoDTO;
import com.dcit.authority.model.SysUserRoles;

public interface SysUserRolesMapper {
    int deleteByPrimaryKey(String id);

    int insert(SysUserRoles record);

    int insertSelective(SysUserRoles record);

    SysUserRoles selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SysUserRoles record);

    int updateByPrimaryKey(SysUserRoles record);
    
    int deleteByUniqueKey(SysUserRoles record) throws DataAccessException;
    
    List<UserRolesInfoDTO> selectUserRolesInfoByUid(String userId);
    
    int deleteUserRolesByUserId(String userId);
    
    int deleteRoleUsersByRoleId(String roleId);
}